Page MenuHomePhabricator

Assign to result from block.
AcceptedPublic

Authored by kevincox on May 6 2018, 4:17 AM.

Details

Reviewers
indygreg
durin42
Group Reviewers
hg-reviewers
Summary

This is more idiomatic because you don't have uninitialized variables and has less typing.

Diff Detail

Repository
rHG Mercurial
Branch
arcpatch-D3447 (bookmark) on default (branch)
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

kevincox created this revision.May 6 2018, 4:17 AM

This doesn't apply. Looks like it's based on a version where exit code is 1 (line 193), but our main.rs seems to have always have had it set to 255.

indygreg accepted this revision.

It looks like this is based on top of D3447. So I'll just hook up the dependency and we'll land it as soon as my series is landed.

This revision is now accepted and ready to land.May 11 2018, 11:51 PM
durin42 accepted this revision.May 31 2018, 3:07 PM